# 
# $Header: loader.mk.pp,v 6.1 89/12/08 17:00:30 cyang Exp $ sqlloader.mk.pp Copyr (c) 1986 Oracle
# 
#
# sqlloader.mk - Makefile to make the SQL*Loader executable. 
#
# References: 
#   1) "ORACLE Installation and User's Guide"
#
#   USAGE:	$ make -f sqlloader.mk ORACLE_HOME=(your ORACLE_HOME) sqlload
#

.SUFFIXES: .o .c .pc

#ORACLE_HOME must be set on the command line or hardcoded here.

LOADERLIBS=libloader.a $(ORACLE_HOME)/rdbms/lib/libsql.a 
NETLIBS= $(ORACLE_HOME)/rdbms/lib/osntab.o \
	$(ORACLE_HOME)/rdbms/lib/libsqlnet.a 
STLIBS= $(ORACLE_HOME)/rdbms/lib/osntabst.o \
	$(ORACLE_HOME)/rdbms/lib/config.o
LIBPLS=$(ORACLE_HOME)/rdbms/lib/libpls.a

ORALIBS = $(ORACLE_HOME)/rdbms/lib/libora.a 
LIBKNL=$(ORACLE_HOME)/rdbms/lib/libknl.a

LIBORAST= $(ORALIBS) $(LIBPLS) $(ORALIBS) $(LIBPLS)

OTHERLIBS=`cat $(ORACLE_HOME)/rdbms/lib/sysliblist`
CLIBS= $(OTHERLIBS)
ECHO=$(ORACLE_HOME)/bin/echodo

CLIBS= -lld $(OTHERLIBS)

PCC=pcc
PCCINC=.
PCCFLAGS=include=$(PCCINC) ireclen=132 oreclen=132

CC=cc

CFLAGS=-I. -O

sqlload: 
	@$(ECHO) $(CC) $(LDFLAGS) -o $@ $(LOADERLIBS) $(NETLIBS) \
	$(ORALIBS) $(CLIBS)

sqlloadst: 
	@$(ECHO) $(CC) $(LDFLAGS) -o $@ $(LOADERLIBS) $(STLIBS) \
	$(LIBORAST) $(LIBKNL) $(LIBORAST) $(LIBKNL) $(CLIBS)

install: sqlload
	@mv  sqlload $(ORACLE_HOME)/bin
	-chmod 751 $(ORACLE_HOME)/bin/sqlload

singletask: sqlloadst
	@mv  sqlloadst $(ORACLE_HOME)/bin
	-chmod 751 $(ORACLE_HOME)/bin/sqlloadst

.pc.o:
	$(PCC) $(PCCFLAGS) iname=$*.pc
	$(CC) -c $(CFLAGS) $*.c

